CS::Utility::ImportKit::Container::Model Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions
CS::Utility::ImportKit::Container::Model Class Reference

A model. More...

`#include <cstool/importkit.h>`

List of all members.

## Classes
class | Mesh
| Model mesh, contains actual geometry. More...
## Public Types
enum | ModelType { Factory, Object }
| Type of this model. More...
## Public Member Functions
const Mesh & | GetMesh (size_t index) const
| Get a mesh.
size_t | GetMeshCount () const
| Get number of meshes in this model.
const wchar_t * | GetName () const
| Return the name of the model.

## Detailed Description

A model.

A model contains of multiple meshes, each containing vertices, triangles, and a single material.

Remarks:
  All resources obtainable (models, mesh, materials... but also geometry and names) are generally valid as long as the container exists.

Definition at line 70 of file importkit.h.

## Member Enumeration Documentation

enum CS::Utility::ImportKit::Container::Model::ModelType

Type of this model.

Enumerator:

  Factory | Model is a mesh factory.
  Object | Model is a mesh object.

Definition at line 128 of file importkit.h.

## Member Function Documentation

const Mesh& CS::Utility::ImportKit::Container::Model::GetMesh | ( | size_t | index | ) | const`[inline]`

Get a mesh.

Definition at line 126 of file importkit.h.

size_t CS::Utility::ImportKit::Container::Model::GetMeshCount | ( |  | ) | const`[inline]`

Get number of meshes in this model.

Definition at line 124 of file importkit.h.

const wchar_t* CS::Utility::ImportKit::Container::Model::GetName | ( |  | ) | const`[inline]`

Return the name of the model.

Definition at line 74 of file importkit.h.

The documentation for this class was generated from the following file:

- cstool/importkit.h